Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

SwappedLocationProperties.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO;
8
12 class SwappedLocationProperties
13 {
14 public function __construct($id, $parentId)
15 {
16 $this->id = $id;
17 $this->parentId = $parentId;
18 }
19
21 public $id;
22
24 public $parentId;
25
27 public $name;
28
30 public $mainLanguageId;
31
33 public $autogeneratedId;
34
36 public $isAlwaysAvailable;
37
43 public $entries;
44 }
eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO\SwappedLocationProperties
Definition: SwappedLocationProperties.php:13
eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO\SwappedLocationProperties\$name
$name
Definition: SwappedLocationProperties.php:27
eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO\SwappedLocationProperties\$isAlwaysAvailable
$isAlwaysAvailable
Definition: SwappedLocationProperties.php:36
eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO\SwappedLocationProperties\$mainLanguageId
$mainLanguageId
Definition: SwappedLocationProperties.php:30
eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO\SwappedLocationProperties\$entries
$entries
Definition: SwappedLocationProperties.php:43
eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO\SwappedLocationProperties\$parentId
$parentId
Definition: SwappedLocationProperties.php:24
eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO\SwappedLocationProperties\__construct
__construct($id, $parentId)
Definition: SwappedLocationProperties.php:14
eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO\SwappedLocationProperties\$id
$id
Definition: SwappedLocationProperties.php:21
eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO\SwappedLocationProperties\$autogeneratedId
$autogeneratedId
Definition: SwappedLocationProperties.php:33
eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO
Definition: SwappedLocationProperties.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.